Bug 671592 - glade3-libgladeui should not depend on devhelp
Summary: glade3-libgladeui should not depend on devhelp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glade3
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2011-01-21 23:56 UTC by Christoph Wickert
Modified: 2012-02-10 22:01 UTC (History)
5 users (show)

Fixed In Version: glade3-3.10.0-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-10 21:57:59 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 604356 low CLOSED glade3-libgladeui-devel depends on gtk-doc unnecessarily 2020-10-14 00:28:05 UTC

Internal Links: 604356

Description Christoph Wickert 2011-01-21 23:56:23 UTC
Description of problem:
glade3-libgladeui should not depend on devhelp because it is a library and does not contain information that can be shown in devhelp. The dependency needs to be in the glade3-libgladeui-devel package instead.

Version-Release number of selected component (if applicable):
glade3-3.6.7-2.fc14

Comment 1 Christoph Wickert 2012-01-30 16:17:52 UTC
devhelp does not build on ARM, neither with gecko nor with webkit, this means this artificial dependency makes all builds that depend on glade3-libgladeui(-devel) impossible. We are talking about a *lot* of packages and several hundreds of failed builds. The F15 ARM rebuild is stalled for weeks now.

Raising priority to 'urgent'.


BTW: The package should not depend on gtk-doc either (bug 604356), the file and directory ownership guidelines were adjusted months ago for this very reason, see https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

Comment 2 Fedora Update System 2012-01-31 00:26:11 UTC
glade3-3.10.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/glade3-3.10.0-6.fc16

Comment 3 Fedora Update System 2012-01-31 00:26:24 UTC
glade3-3.10.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/glade3-3.10.0-3.fc15

Comment 4 Edward Sheldrake 2012-01-31 14:10:21 UTC
But glade3 does check for the devhelp program when run (and due to a broken version check, fixed in 3.10.2, complains that devhelp 3.X is too old). It can run devhelp to show the documentation for a widget.

The devhelp dependency could be moved to the glade3 package. Putting the devhelp dependency on glade3-libgladeui-devel won't even solve the problem for ARM, when things have BuildRequires for glade3-libgladeui-devel.

Comment 5 Fedora Update System 2012-01-31 21:55:47 UTC
Package glade3-3.10.0-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glade3-3.10.0-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1056/glade3-3.10.0-3.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-02-10 21:57:59 UTC
glade3-3.10.0-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-02-10 22:01:03 UTC
glade3-3.10.0-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.